stages:
  - release

variables:
  IMAGE_REGISTRY_ADDRESS: $CI_REGISTRY/rl_pipeline/internal/${CI_PROJECT_NAME}
  VERSION: 1.0.0

docker-server:
  image: tmaier/docker-compose
  services:
    - docker:dind
  stage: release
  before_script:
      - echo $CI_BUILD_TOKEN | docker login -u $CI_REGISTRY_USER --password-stdin $CI_REGISTRY
  script:
      - ./bootstraps/build_server.sh
  after_script:
      - docker tag scanpc_server:${VERSION} ${IMAGE_REGISTRY_ADDRESS}:${VERSION}-server
      - docker push ${IMAGE_REGISTRY_ADDRESS}:${VERSION}-server
  only:
      - branches
  except:
      - master

docker-client:
  image: tmaier/docker-compose
  services:
      - docker:dind
  stage: release
  before_script:
      - echo $CI_BUILD_TOKEN | docker login -u $CI_REGISTRY_USER --password-stdin $CI_REGISTRY
  script:
      - ./bootstraps/build_client.sh
  after_script:
      - docker tag scanpc_client:${VERSION} ${IMAGE_REGISTRY_ADDRESS}:${VERSION}-client
      - docker push ${IMAGE_REGISTRY_ADDRESS}:${VERSION}-client
  only:
      - branches
  except:
      - master